dv1=9
dv2=~dv1
print(bin(dv1))
print(bin(dv2))


print(bin(7&9))    # 111 и 1001 = 0001
print(bin(7&8))    # 111 и 1000 = 0000

print(bin(7|9))     # 111 или 1001 = 1111
print(bin(7|8))     # 111 или 1000 = 1111
print(bin(14|5))   # 1110 или 0101 = 1111

print(bin(14^5))  # 1110 исключающее или 0101 = 1011
print(f"В десятичном представлении: {14^5}")

h=14   #Двоичное представление = 1110
print(f"В десятичном представлении: {h}")
print(f"В двоичном представлении: {bin(h)}\n")
g=h<<2  # Новое двоичное представление = 111000
print(f"В десятичном представлении: {g}")
print(f"В двоичном представлении: {bin(g)}\n")
g1=h>>1  # Новое двоичное представление = 0111
print(f"В десятичном представлении: {g1}")
print(f"В двоичном представлении: {bin(g1)}\n")
g2=h>>2  # Новое двоичное представление = 0011
print(f"В десятичном представлении: {g2}")
print(f"В двоичном представлении: {bin(g2)}\n")




a = 91
b = 101
print(f"В десятичном представлении a: {a}")
print(f"В двоичном представлении a: {bin(a)}\n")
print(f"В десятичном представлении: {b}")
print(f"В двоичном представлении: {bin(b)}\n")

print(f"В десятичном представлении a & b = {a&b}")
print(f"В двоичном представлении a & b = {bin(a&b)}\n")

print(f"В десятичном представлении a | b = {a|b}")
print(f"В двоичном представлении a | b = {bin(a|b)}\n")

print(f"В десятичном представлении a ^ b = {a^b}")
print(f"В двоичном представлении a ^ b = {bin(a^b)}\n")

print(f"В десятичном представлении ~a = {~a}")
print(f"В двоичном представлении ~a = {bin(~a)}\n")

print(f"В десятичном представлении ~a = {~b}")
print(f"В двоичном представлении ~a = {bin(~b)}\n")

print(f"В десятичном представлении a<<4 = {a<<4}")
print(f"В двоичном представлении a<<4 = {bin(a<<4)}\n")

print(f"В десятичном представлении b>>5 = {b>>5}")
print(f"В двоичном представлении b>>5 = {bin(b>>5)}\n")